Name:		slock
Version:	1.4
Release:	%mkrel 4
Group:		Graphical desktop/Other
License:	MIT
Summary:	Simple X display locker
URL:		http://tools.suckless.org/slock
Source:		http://dl.suckless.org/tools/slock-%{version}.tar.gz
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:  git-core

Patch0: 0001-Fix-resize-with-multiple-monitors-and-portrait-mode.patch
Patch1: 0002-there-can-only-be-one-window-in-the-event.patch
Patch2: 0003-syntax-fix.patch
Patch3: 0004-rm-trailing-whitespace-in-README.patch
Patch4: 0005-Properly-clear-the-last-entered-character.patch

%description
A very simple X screen locker from suckless.org. It is stable and quite
a lot of people are using it every day when they are out with friends
or fetching some food from the local pub


%prep
%autosetup -S git

%build
%set_build_flags
%make_build CFLAGS="$CFLAGS "'$(CPPFLAGS) ' LDFLAGS="$LDFLAGS "'$(LIBS)'

%install
%make_install PREFIX=%{_prefix}

%files
%doc LICENSE README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.4-4.mga8
+ Revision: 1517064
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 1.4-3.mga7
+ Revision: 1301067
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 kekepower <kekepower> 1.4-2.mga7
+ Revision: 1221651
- Add upstream commits since release

* Sat Jan 06 2018 daviddavid <daviddavid> 1.4-1.mga7
+ Revision: 1190746
- new version: 1.4

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.2-3.mga6
+ Revision: 1051356
- rediff patch from fedora to fix CVE-2016-6866

* Wed Feb 17 2016 umeabot <umeabot> 1.2-2.mga6
+ Revision: 962847
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 danf <danf> 1.2-1.mga6
+ Revision: 894033
- Upgraded to ver. 1.2
- Enabled generation of debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.1-5.mga5
+ Revision: 744574
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 689196
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1-3.mga4
+ Revision: 518422
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 382185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.1-1.mga3
+ Revision: 325290
- new version 1.1

* Tue Feb 14 2012 boklm <boklm> 1.0-1.mga3
+ Revision: 208907
- update to version 1.0

* Thu Sep 15 2011 boklm <boklm> 0.9-1.mga2
+ Revision: 143828
- imported package slock

